// clang-format off

/*

 * libmp | MatterLinux package management library 
 * MatterLinux 2023-2024 (https://matterlinux.xyz)

 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.

*/

// clang-format on

#include "../include/libmp.h"
#include "../include/pool.h"
#include <locale.h>
#include <libintl.h>
#include <stdlib.h>

void lm_ctx_init(lm_ctx_t *ctx){
  setlocale(LC_ALL, "");
  textdomain("libmp");

  ctx->pools = NULL;
  ctx->data  = NULL;
  ctx->root  = NULL;
  ctx->temp  = NULL;
  ctx->debug = false;
}

void lm_ctx_free(lm_ctx_t *ctx){
  lm_ctx_pool_clear(ctx);
  return;
}
